import { type Readable } from 'svelte/store';
interface Location {
    path: string;
    query: string;
    hash: string;
}
export type Path = Readable<Location['path']>;
export type Query = Readable<Location['query']>;
export type Hash = Readable<Location['hash']>;
export declare const path: Path;
export declare const query: Query;
export declare const hash: Hash;
export {};
