import { type Readable } from 'svelte/store';
export interface OptionsList {
    mode: 'window' | 'hash';
    basePath: null | string;
}
export interface Options {
    subscribe: Readable<OptionsList>['subscribe'];
    set: (changedOptions: Partial<OptionsList>) => void;
}
export declare const options: Options;
