import { writable } from 'svelte/store';
const createOptions = (initialValues) => {
    const { subscribe, update } = writable(initialValues);
    const set = (changedOptions = {}) => {
        update((options) => Object.assign(options, changedOptions));
    };
    return { subscribe, set };
};
export const options = createOptions({
    mode: 'window',
    basePath: null,
});
